﻿DROP TABLE test_table1;
CREATE TABLE test_table1 AS
SELECT t1.id_mutatio, t1.annee_muta, t1.surface_te,
	round(sum(CASE WHEN (t2.codezone='3ZEC' OR t2.codezone='3PAU' OR t2.codezone='2ZEC' OR t2.codezone='2PAU' OR t2.codezone='1ZEC' OR t2.codezone='1PAU') THEN 
	ST_Area(ST_Intersection(t1.geomloc,t2.geo_obj1)) END)) AS PPRI, -- Calcul de la surface par mutation dans le PPRI
	round(sum(CASE WHEN (t2.codezone='1ZEC' OR t2.codezone='1PAU' OR t2.codezone='2ZEC' OR t2.codezone='2PAU') THEN 
	ST_Area(ST_Intersection(t1.geomloc,t2.geo_obj1)) ELSE 0 END)) AS alea1, -- Calcul de la surface par mutation en zone d'aléa Faible et Moyen
	round(sum(CASE WHEN (t2.codezone='3ZEC' OR t2.codezone='3PAU') THEN 
	ST_Area(ST_Intersection(t1.geomloc,t2.geo_obj1)) ELSE 0 END)) AS alea3 -- Calcul de la surface par mutation en zone d'aléa Fort
  FROM ff_d59_2013."ADUS_mutation_dvf_gone" AS t1 -- Table DVF
  JOIN "RISQUE_N_ZONAGES_RISQUE".n_zone_reg_ppr_059 AS t2 -- Table zonage réglementaire du PPRI
  ON ST_intersects(t1.geomloc, t2.geo_obj1) -- Intersection
WHERE surface_te>0 -- Exclusion des terrains dont la surface est nulle
    AND valeur_fon>1 -- Exclusion des terrains dont la valeur foncière est inférieure ou égale à 1
    AND nb_local=nlocf -- Exclusion des mutations dont le nombre de locaux différe entre les fichiers fonciers et DVF
    AND dcntsol+dcntbois+dcntnat+dcnteau+dcntagri+dcnt07<=surface_te -- Exclusion des terrains dont la somme des surfaces de nature de culture est supérieure à la surface totale du terrain
    AND id_gaspar='59PREF20070030' -- PPRI concerné
    AND nb_volume>0 -- Exclusion des mutations sans volume
    AND (id_nature_=4 OR id_nature_=6) -- Exclusion de la nature VEFA
    AND ((list_art_c NOT LIKE '%257-7-1*2%') OR (list_art_c IS NULL)) -- Exclusion des codes CGI VEFA : Attention, dans l'exemple de l'ADUS, 1 seul code CGI VEFA est présent
    AND nb_local>0 -- Exclusion des mutations sans locaux
    AND nloc_act>0 -- Exclusion des mutations n'ayant pas de local destiné à l'activité économique
    AND (nloc_maiso>0 OR nloc_appt>0) -- Exclusions des mutations qui n'ont pas de locaux de type appartement ou maison
    AND surface_re<500 -- Exclusion des mutations dont la surface est supérieure ou égale à 500 m²
  GROUP BY id_mutatio, annee_muta, surface_te, list_art_c
  ORDER BY id_mutatio, annee_muta, surface_te, list_art_c;

DELETE FROM test_table1 WHERE PPRI<(20*surface_te/100); -- Exclsuion des mutations dont la surface dans le PPRI est inférieure à 20% de la surface de la mutation

SELECT sum(CASE WHEN annee_muta=2005 THEN 1 ELSE 0 END) AS annee_2005, 
       sum(CASE WHEN annee_muta=2006 THEN 1 ELSE 0 END) AS annee_2006, 
       sum(CASE WHEN annee_muta=2007 THEN 1 ELSE 0 END) AS annee_2007, 
       sum(CASE WHEN annee_muta=2008 THEN 1 ELSE 0 END) AS annee_2008, 
       sum(CASE WHEN annee_muta=2009 THEN 1 ELSE 0 END) AS annee_2009,
       sum(CASE WHEN annee_muta=2010 THEN 1 ELSE 0 END) AS annee_2010,
       sum(CASE WHEN annee_muta=2011 THEN 1 ELSE 0 END) AS annee_2011, 
       sum(CASE WHEN annee_muta=2012 THEN 1 ELSE 0 END) AS annee_2012, 
       sum(CASE WHEN annee_muta=2013 THEN 1 ELSE 0 END) AS annee_2013, 
       sum(CASE WHEN annee_muta=2014 THEN 1 ELSE 0 END) AS annee_2014,
       count (id_mutatio) AS Total -- Tableau de résultat par année
  FROM test_table1;